Bug 20986 - Отсутствует проверка на тип и формат вводимых данных, для email адреса пользователя.
: Отсутствует проверка на тип и формат вводимых данных, для email адреса пользо...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-ldap-users)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 20108
: 19564
  Show dependency tree
 
Reported: 2009-08-07 16:27 by
Modified: 2009-08-21 01:41 (History)


Attachments
email format bug (9.94 KB, image/png)
2009-08-07 16:28, Mike
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-07 16:27:36
Собственно subj.
Можно вводить любое имя почты, из любых символов.

Может, если не указан знак @ или если формат неверный добавлять почту с
дефолтным доменом?
Или просто выводить ошибку.
------- Comment #1 From 2009-08-07 16:28:34 -------
Created an attachment (id=3724) [details]
email format bug
------- Comment #2 From 2009-08-15 17:26:49 -------
2lsv@ 20108 исправлен, ждем исправления этой ошибки.
------- Comment #3 From 2009-08-21 01:32:30 -------
0.5-alt3.1

- fixed #20986 check email address type
------- Comment #4 From 2009-08-21 01:41:53 -------
#11004 DONE sisyphus alterator-ldap-users.git=0.5-alt3.1